Update Translation
curl --request PUT \
--url https://streaming.lingopal.ai/v1/translations/{stream_id}/{segment_id}/{language_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://streaming.lingopal.ai/v1/translations/{stream_id}/{segment_id}/{language_id}"
payload = { "content": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://streaming.lingopal.ai/v1/translations/{stream_id}/{segment_id}/{language_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stream_id": "<string>",
"language_id": "<string>",
"segment_id": 123,
"timestamp": "<string>",
"end_time": "<string>",
"original_content": "<string>",
"speaker": "<string>",
"id": 123,
"content": "<string>",
"edited": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Translations
Update Translation
Update the content of a specific translation.
PUT
/
v1
/
translations
/
{stream_id}
/
{segment_id}
/
{language_id}
Update Translation
Description
Update the content of a specific translation.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: PUT
- Endpoint:
/v1/translations/{stream_id}/{segment_id}/{language_id} - Path Parameters:
stream_id(string, required): Stream IDsegment_id(integer, required): Segment IDlanguage_id(string, required): Language ID
- Body:
{
"content": "string"
}
Request Body Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| content | string | Yes | Updated translated text. |
Response
- Status: 200 OK
- Content-Type:
application/json
{
"stream_id": "string",
"language_id": "string",
"segment_id": 0,
"timestamp": "string",
"end_time": "string",
"original_content": "string",
"speaker": "string",
"id": 0,
"content": "string",
"edited": true,
"created_at": "2025-12-05T20:41:00.215Z",
"updated_at": "2025-12-05T20:41:00.215Z"
}
Example Usage (cURL)
curl -X PUT "https://streaming.lingopal-dev.com/v1/translations/your-stream-id/1/en" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"content":"updated content"}'
Authorizations
Path Parameters
Stream ID
Segment ID
Language ID
Body
application/json
⌘I